| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::TrackerKCF::Params Struct Reference

`#include <opencv2/tracking/tracker.hpp>`

## Public Member Functions
| Params ()
| Constructor. More...
void | read (const FileNode &)
| Read parameters from a file. More...
void | write (FileStorage &) const
| Write parameters to a file. More...

## Public Attributes
bool | compress_feature
| activate the pca method to compress the features More...
int | compressed_size
| feature size after compression More...
int | desc_npca
| non-compressed descriptors of TrackerKCF::MODE More...
int | desc_pca
| compressed descriptors of TrackerKCF::MODE More...
float | detect_thresh
| detection confidence threshold More...
float | interp_factor
| linear interpolation factor for adaptation More...
float | lambda
| regularization More...
int | max_patch_size
| threshold for the ROI size More...
float | output_sigma_factor
| spatial bandwidth (proportional to target) More...
float | pca_learning_rate
| compression learning rate More...
bool | resize
| activate the resize feature to improve the processing speed More...
float | sigma
| gaussian kernel bandwidth More...
bool | split_coeff
| split the training coefficients into two matrices More...
bool | wrap_kernel
| wrap around the kernel values More...

## Constructor & Destructor Documentation

## § Params()

cv::TrackerKCF::Params::Params | ( |  | ) |

Constructor.

## Member Function Documentation

## § read()

void cv::TrackerKCF::Params::read | ( | const FileNode & |  | ) |

Read parameters from a file.

## § write()

void cv::TrackerKCF::Params::write | ( | FileStorage & |  | ) | const

Write parameters to a file.

## Member Data Documentation

## § compress_feature

bool cv::TrackerKCF::Params::compress_feature

activate the pca method to compress the features

## § compressed_size

int cv::TrackerKCF::Params::compressed_size

feature size after compression

## § desc_npca

int cv::TrackerKCF::Params::desc_npca

non-compressed descriptors of TrackerKCF::MODE

## § desc_pca

int cv::TrackerKCF::Params::desc_pca

compressed descriptors of TrackerKCF::MODE

## § detect_thresh

float cv::TrackerKCF::Params::detect_thresh

detection confidence threshold

## § interp_factor

float cv::TrackerKCF::Params::interp_factor

linear interpolation factor for adaptation

## § lambda

float cv::TrackerKCF::Params::lambda

regularization

## § max_patch_size

int cv::TrackerKCF::Params::max_patch_size

threshold for the ROI size

## § output_sigma_factor

float cv::TrackerKCF::Params::output_sigma_factor

spatial bandwidth (proportional to target)

## § pca_learning_rate

float cv::TrackerKCF::Params::pca_learning_rate

compression learning rate

## § resize

bool cv::TrackerKCF::Params::resize

activate the resize feature to improve the processing speed

## § sigma

float cv::TrackerKCF::Params::sigma

gaussian kernel bandwidth

## § split_coeff

bool cv::TrackerKCF::Params::split_coeff

split the training coefficients into two matrices

## § wrap_kernel

bool cv::TrackerKCF::Params::wrap_kernel

wrap around the kernel values

The documentation for this struct was generated from the following file:

- opencv2/tracking/tracker.hpp